package com.unis.base.server.service;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.*;
import com.unis.base.server.entity.QyxypjDcDO;
import com.unis.base.server.entity.TzSlqyDO;
import com.unis.common.utils.ResponseWrapper;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Set;

/**
 * @author huangxing
 * @version 1.0
 * @Title TzSlqyService
 * @ProjectName QyxypjService
 * @Description
 * @date 2019/07/22 17点26分
 */
public interface QyxypjService {

    ResponseWrapper importQyxypjDr(MultipartFile file);

    PageInfo<QyxypjDcDO> queryPageList(Integer pageNum, Integer pageSize, QyxypjDcVO qyxypjDcVO);

    void update(QyxypjDcDO qyxypjDcDO);

    List<QyxypjDcDO> queryAllList(QyxypjDcVO qyxypjDcVO);

    ResponseWrapper exportQyxypj(HttpServletResponse response, QyxypjDcVO qyxypjDcVO);

    String getNewPjnd();

    void updateBatch(String ids, QyxypjDcDO qyxypjDcDO);

    void updateBatchTj(String ids);

    void delete(String id);
}
